"""
RPCA demo - svt.py

ECE 510

python version: 3.7.3

Spring 2019
"""

import numpy as np
import numpy.linalg as la
from st import st

def svt(X, tau):
    r"""
    Singular value thresholding operator

    Syntax:     Xs = svt(X, tau)

    Inputs:
        :param X: The input matrix
        :param tau: The input shrinkage parameter

    Output: 
        Xs is the result of applying singular value thresholding to X
    """
    
    # return Xs
